## bazel-bootstrap 3.5.1+ds

=== debian/changelog ===
bazel-bootstrap (3.5.1+ds-3) unstable; urgency=high

  * Fix FTBFS on mips64el and riscv64
    - Add patches to support cpus and toolchains
    - Add patch to increase available javac memory during early build
    - Add patch to enable verbose javac to prevent build timeouts
    - Add patch to increase startup timeout
    - Add patch to debug bash completion creation
    - Add Dockerfiles for architecture-specific test builds
  * Update autopkgtests

 -- Olek Wojnar <olek@debian.org>  Mon, 22 Feb 2021 12:15:49 -0500

bazel-bootstrap (3.5.1+ds-2) unstable; urgency=high

  * Fix Out-of-Memory build errors on some architectures
  * Add patch to enable junit4 usage in Debian
  * Enable autopkgtest using packaged example code
  * Update d/rules (Closes: #979305)

 -- Olek Wojnar <olek@debian.org>  Mon, 04 Jan 2021 23:38:34 -0500

bazel-bootstrap (3.5.1+ds-1) unstable; urgency=high

  * New upstream version (Closes: #976563, #978189)
    - Update patches for new version
    - Update dependency versions
  * Update standards to 4.5.1 (no changes)
  * Update Maintainer to team Launchpad email address
    - Since l.d.o email address is still not available
    - Retain tracker.d.o email in Uploaders field

 -- Olek Wojnar <olek@debian.org>  Sat, 26 Dec 2020 16:52:13 -0500

bazel-bootstrap (3.4.0+ds-2) unstable; urgency=high

  * Fix sandbox path option
  * Change default system bazelrc file location for Debian Bazel
  * Remove Android dependency due to unavailability in Testing
    - Add remove-android-rules.patch
  * Remove phpsysinfo dependency
  * Fix build failure on buildds (Closes: #973508)

 -- Olek Wojnar <olek@debian.org>  Sun, 08 Nov 2020 20:37:29 -0500

bazel-bootstrap (3.4.0+ds-1) unstable; urgency=medium

  * Initial release (Closes: #782654)

 -- Olek Wojnar <olek@debian.org>  Sun, 19 Jul 2020 00:25:48 -0400
