=== debian/control ===
Source: bazel-bootstrap
Section: devel
Priority: optional
Maintainer: Debian Bazel Team <bazel-team@lists.launchpad.net>
Uploaders: Debian Bazel Team <team+bazel@tracker.debian.org>,
           Olek Wojnar <olek@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-python,
               dh-sequence-bash-completion,
               fonts-font-awesome,
               fonts-glyphicons-halflings,
               jdupes,
               libasm-java (>= 7.0~),
               libchecker-framework-java (>= 3.0.1~),
               libcommons-collections3-java,
               libcommons-compress-java,
               libcommons-lang-java,
               libcommons-logging-java,
               libcommons-pool2-java,
               libdd-plist-java,
               libdiffutils-java,
               liberror-prone-java (>= 2.4.0~),
               libescapevelocity-java,
               libgeronimo-annotation-1.3-spec-java,
               libgoogle-api-client-java (>= 1.22.0~),
               libgoogle-auth-java (>= 0.17.1~),
               libgoogle-auto-common-java (>= 0.10~),
               libgoogle-auto-service-java (>= 1.0~rc4~),
               libgoogle-auto-value-java (>= 1.6.3~rc1~),
               libgoogle-flogger-java (>= 0.5.1~),
               libgoogle-gson-java (>= 2.8.0~),
               libgoogle-http-client-java (>= 1.22.0~),
               libgrpc-java (>= 1.26.0~),
               libgrpc++-dev,
               libguava-java (>= 25.1~),
               libjackson2-core-java (>= 2.8.6~),
               libjacoco-java (>= 0.8.3~),
               libjarjar-java,
               libjava-allocation-instrumenter-java,
               libjavapoet-java (>= 1.8.0~),
               libjaxb-api-java,
               libjcip-annotations-java,
               libjcommander-java (>= 1.48~),
               libjformatstring-java,
               libjs-bootstrap,
               libjsr305-java,
               libnanopb-dev,
               libnetty-java,
               libnetty-tcnative-java,
               libopencensus-java (>= 0.24.0~),
               libperfmark-java (>= 0.19.0~),
               libproguard-java (>= 5.3.3~),
               libprotobuf-dev,
               libprotobuf-java (>= 3.11.3~),
               libprotoc-dev,
               libtomcat9-java (>= 8.0.5~),
               libtruth-java,
               libxz-java,
               openjdk-11-jdk-headless,
               protobuf-compiler,
               protobuf-compiler-grpc,
               protobuf-compiler-grpc-java-plugin (>= 1.26.0~),
               python3,
               unzip,
               velocity (>=1.7~),
               zip,
               zlib1g-dev,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://bazel.build/
Vcs-Browser: https://salsa.debian.org/bazel-team/bazel-bootstrap
Vcs-Git: https://salsa.debian.org/bazel-team/bazel-bootstrap.git

Package: bazel-bootstrap
Architecture: amd64 arm64 mips64el ppc64el s390x alpha ia64 kfreebsd-amd64 ppc64 riscv64 sparc64
Depends: bazel-bootstrap-data (= ${source:Version}),
         build-essential,
         libchecker-framework-java (>= 3.0.1~),
         libdiffutils-java,
         liberror-prone-java (>= 2.4.0~),
         libgeronimo-annotation-1.3-spec-java,
         libgoogle-api-client-java (>= 1.22.0~),
         libgoogle-auth-java (>= 0.17.1~),
         libgoogle-auto-common-java (>= 0.10~),
         libgoogle-auto-service-java (>= 1.0~rc4~),
         libgoogle-auto-value-java (>= 1.6.3~rc1~),
         libgoogle-flogger-java (>= 0.5.1~),
         libgrpc-java (>= 1.26.0~),
         libopencensus-java (>= 0.24.0~),
         openjdk-11-jdk-headless,
         protobuf-compiler-grpc-java-plugin (>= 1.26.0~),
         python3,
         unzip,
         zlib1g-dev,
         ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
Description: Tool to automate software builds and tests
 Supported build tasks include running compilers and linkers to produce
 executable programs and libraries, and assembling deployable packages
 for Android, iOS and other target environments. Bazel is similar to
 other tools like Make, Ant, Gradle, Buck, Pants and Maven.
 .
 This package contains the bootstrap variant of Bazel and should only be
 used on systems that do not have the full version of Bazel built yet.

Package: bazel-bootstrap-data
Architecture: all
Multi-Arch: foreign
Depends: libjs-jquery, node-core-js, node-html5shiv,
         ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
Recommends: bazel-bootstrap (= ${source:Version})
Suggests: bash-completion
Description: Tool to automate software builds and tests (data files)
 Supported build tasks include running compilers and linkers to produce
 executable programs and libraries, and assembling deployable packages
 for Android, iOS and other target environments. Bazel is similar to
 other tools like Make, Ant, Gradle, Buck, Pants and Maven.
 .
 This package contains architecture-independent data for the bootstrap variant
 of Bazel and should only be used on systems that do not have the full version
 of Bazel built yet.
