## bazel-bootstrap 4.2.2+ds

=== debian/changelog ===
bazel-bootstrap (4.2.2+ds-1) unstable; urgency=medium

  * New upstream release

 -- Olek Wojnar <olek@debian.org>  Tue, 04 Oct 2022 22:05:34 -0400

bazel-bootstrap (4.1.0+ds-1) unstable; urgency=medium

  [ Jesse Chan ]
  * New upstream release
    - Update patches for new version
  * Patch to use debian "reactive_streams" and "rxjava3"
    - See upstream bazelbuild/bazel@325eb956c
  * Patch to remove not useful dependency on "bazel_skylib"
    - Only used to support darwin-arm64 host platform
    - It is not useful for us to have this dependency
  [ Olek Wojnar ]
  * Modify add_include_for_limits.patch to also include <stdexcept> in ijar
    - Should resolve failed autopkgtests on non-amd64 systems
  * Note that bazel_skylib *will* be needed for the full bazel package
    - It is being removed at this time to prevent a build failure. The bazel
      package build-depends on the bazel-skylib package, avoiding the problem.

 -- Olek Wojnar <olek@debian.org>  Tue, 27 Sep 2022 19:50:13 -0400

bazel-bootstrap (4.0.0+ds-1) unstable; urgency=medium

  [ Jesse Chan ]
  * New upstream release
    - Update patches for new version
  * Drop jdk.BUILD from bazel-bootstrap-data
    - See upstream bazelbuild/bazel@f259b8abf
  * Drop libunix.so from bazel-bootstrap-data
    - See upstream bazelbuild/bazel@7128580b1
  * Drop unused "third_party/py/gflags" exclusion
    - See upstream bazelbuild/bazel@a9bf09324
  * Add builtins_bzl/* to bazel-bootstrap-data
    - See upstream bazelbuild/bazel@de1babee3
  * Add "Bypass ccache" flags to host env as well
    - `--action_env` are only included in the target configuration now
    - See upstream bazelbuild/bazel@a463d9095
  [ Olek Wojnar ]
  * Add Jesse Chan to d/copyright

 -- Olek Wojnar <olek@debian.org>  Sun, 25 Sep 2022 16:24:34 -0400

bazel-bootstrap (3.5.1+ds-5) unstable; urgency=medium

  * Add d/changelog clarification requested by FTP Team
    - New -source package required to build new Bazel ecosystem packages
    - Certain Bazel packages require Bazel source code to build
    - Some of these have been packaged but cannot be built/uploaded
    - Once the -source package is available, these can be built/uploaded
    - Bazel source code is primarily Java and none of it is currently packaged
    - Bazel development in Debian stalled since April 2021 lacking -source
  * Add patch to #include <limits> to enable ijar build (Closes: #983982)
  * Add patch to fix bashisms in sh scripts
  * Resolve long line issues
    - Add patch to fix actual long lines
    - Add lintian override to fix false positives
  * Add lintian overrides to -data and -source for no-code-sections
    - Required test data
  * Update standards to 4.6.1 (no changes)

 -- Olek Wojnar <olek@debian.org>  Wed, 21 Sep 2022 14:08:21 -0400

bazel-bootstrap (3.5.1+ds-4) unstable; urgency=medium

  * Enable -source binary package build
  * Fix generation of bash completion

 -- Olek Wojnar <olek@debian.org>  Tue, 13 Apr 2021 18:45:55 -0400
