=== debian/control ===
--- 
+++ 
@@ -54,6 +54,8 @@
                libprotobuf-dev,
                libprotobuf-java (>= 3.11.3~),
                libprotoc-dev,
+               libreactive-streams-java,
+               librx-java,
                libtomcat9-java (>= 8.0.5~),
                libtruth-java,
                libxz-java,
@@ -66,7 +68,7 @@
                velocity (>=1.7~),
                zip,
                zlib1g-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://bazel.build/
 Vcs-Browser: https://salsa.debian.org/bazel-team/bazel-bootstrap
@@ -119,3 +121,18 @@
  This package contains architecture-independent data for the bootstrap variant
  of Bazel and should only be used on systems that do not have the full version
  of Bazel built yet.
+
+Package: bazel-bootstrap-source
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends},
+Description: Tool to automate software builds and tests (source code)
+ Supported build tasks include running compilers and linkers to produce
+ executable programs and libraries, and assembling deployable packages
+ for Android, iOS and other target environments. Bazel is similar to
+ other tools like Make, Ant, Gradle, Buck, Pants and Maven.
+ .
+ This package contains the source code for the bootstrap variant of Bazel and
+ should only be used on systems that do not have the full version of Bazel
+ built yet. This package is required for building certain packages that
+ require Bazel source code in their build process.
