=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 export VERBOSE = yes
 export BAZDIR = ${CURDIR}/debian/bazel-bootstrap
 export BAZDATADIR = ${CURDIR}/debian/bazel-bootstrap-data
+export BAZSRCDIR = ${CURDIR}/debian/bazel-bootstrap-source
 
 # Bypass ccache
 export CCACHE_DISABLE = 1
@@ -31,6 +32,8 @@
 	--compilation_mode dbg \
 	--action_env=CCACHE_DISABLE \
 	--action_env=CCACHE_TEMPDIR \
+	--host_action_env=CCACHE_DISABLE \
+	--host_action_env=CCACHE_TEMPDIR \
 	--sandbox_debug \
 	--sandbox_writable_path=${CCACHE_TEMPDIR} \
 	--override_repository=com_google_protobuf=${CURDIR}/tools/distributions/debian/protobuf \
@@ -64,10 +67,16 @@
 	rm -rf bazel-*
 
 override_dh_install:
-	mkdir -p debian/tmp
+	mkdir -p debian/tmp/usr/src/bazel-bootstrap
+	ls | sed -r '/(debian|derived|examples|output|site|bazel-)/d' | \
+		xargs cp -r -t debian/tmp/usr/src/bazel-bootstrap
+	rm -f debian/tmp/usr/src/bazel-bootstrap/scripts/packages/chocolatey/.gitignore
+	rm -rf mock_repos
 	rm -f output/usr/share/bazel/xcode-locator
 	rm -rf output/usr/share/bazel/embedded_tools/tools/jdk/nosystemjdk
-	mv output/* debian/tmp
+	mv output/etc debian/tmp
+	mv output/usr/bin debian/tmp/usr
+	mv output/usr/share debian/tmp/usr
 	dh_install
 	rm -rf ${BAZDATADIR}/usr/share/bazel/embedded_tools/tools/zip/zipper
 
@@ -75,7 +84,10 @@
 	dh_installdocs --package=bazel-bootstrap -XREADME.Debian
 
 override_dh_installdocs-indep:
-	dh_installdocs --package=bazel-bootstrap-data --doc-main-package=bazel-bootstrap
+	dh_installdocs --package=bazel-bootstrap-data \
+		--doc-main-package=bazel-bootstrap
+	dh_installdocs --package=bazel-bootstrap-source \
+		--doc-main-package=bazel-bootstrap -XREADME.Debian
 
 override_dh_link-indep:
 	jdupes -rl ${BAZDATADIR}/usr
@@ -90,6 +102,8 @@
 
 override_dh_fixperms-indep:
 	find ${BAZDATADIR}/usr/share -type f -print0 2>/dev/null | xargs -0r chmod a-x
+	find ${BAZSRCDIR}/usr/src -type f -not -name '*.sh' -print0 2>/dev/null | \
+		xargs -0r chmod a-x
 	find ${BAZDATADIR}/usr/share/doc/bazel/examples -type f \
 		-not -name '*.sh' -print0 2>/dev/null | xargs -0r chmod a-x
 	find ${BAZDATADIR}/usr/share/bazel/embedded_tools/tools \
@@ -103,7 +117,3 @@
 	chmod a+x ${BAZDATADIR}/usr/share/bazel/embedded_tools/tools/objc/protobuf_support
 	chmod a+x ${BAZDATADIR}/usr/share/bazel/embedded_tools/tools/python/pywrapper_template.txt
 	dh_fixperms
-
-#dh_bash-completion is not correctly annotating that it has installed files
-override_dh_missing:
-	dh_missing -Xbazel-complete.bash
