## bazel-bootstrap 4.2.3%2Bds

=== debian/changelog ===
bazel-bootstrap (4.2.3+ds-11.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 15. (Closes: #1114060)

 -- Adrian Bunk <bunk@debian.org>  Sat, 04 Oct 2025 21:42:52 +0300

bazel-bootstrap (4.2.3+ds-11) unstable; urgency=medium

  * Explicitly depend on libcommons-io-java in autopkgtest
    - Prevent missing-package test failures
  * Temporarily bypass 64-bit autopkgtests for troubleshooting
    - Manual tests on a sid system succeed
  * Update standards to 4.7.2 (no changes)

 -- Olek Wojnar <olek@debian.org>  Fri, 21 Mar 2025 21:29:22 -0400

bazel-bootstrap (4.2.3+ds-10) unstable; urgency=medium

  [ Vladimir Petko ]
  * Apply upstream patch to resolve Java 21 FTBFS (Closes: #1057490)
    - d/p/handle_synthetic_method_parameters_that_dont_have_names.patch
  [ Olek Wojnar ]
  * Fix FTBFS with std=c++0x (Closes: #1068202)
    - Thanks to Kentaro Hayashi for the patch
  * Update Python libraries for 3.13 in env_python3.patch (Closes: #1084551)
    - Thanks to Paul Liu for the patch suggestion
  * Add support for loongarch64 architecture (Closes: #1057456)
    - Thanks to Dandan Zhang for the patch
  * Update Debian standards to 4.7.0 (no changes)
  * Add libcommons dependencies to fix runtime crash
    - Add dependencies for libcommons-codec-java and libcommons-io-java
    - Add debian_commons_io.patch to use Debian version of libraries
  * Migrate to bootstrap v5 (Closes: #1088405)

 -- Olek Wojnar <olek@debian.org>  Mon, 27 Jan 2025 21:29:38 -0500

bazel-bootstrap (4.2.3+ds-9) unstable; urgency=high

  [ Markus Koschany ]
  * Remove build-dependency on libtomcat9-java and replace
    tomcat9-annotations-api.jar with geronimo-annotation-1.3-spec.jar
    (Closes: #1035995)

 -- Olek Wojnar <olek@debian.org>  Sun, 14 May 2023 16:22:49 -0400

bazel-bootstrap (4.2.3+ds-8) unstable; urgency=high

  * Correctly update 32-bit autopkgtests
  * Add fix-install_base_key-generation.patch for build reproducibility

 -- Olek Wojnar <olek@debian.org>  Tue, 14 Mar 2023 13:46:36 -0400

bazel-bootstrap (4.2.3+ds-7) unstable; urgency=medium

  * Update autopkgtests to give accurate results for 32-bit operating systems

 -- Olek Wojnar <olek@debian.org>  Mon, 13 Mar 2023 16:34:46 -0400

bazel-bootstrap (4.2.3+ds-6) unstable; urgency=high

  * Explicitly define autopkgtest architectures
    - Prevent failures on 32-bit architectures which cannot run Bazel

 -- Olek Wojnar <olek@debian.org>  Thu, 02 Mar 2023 18:53:23 -0500

bazel-bootstrap (4.2.3+ds-5) unstable; urgency=high

  * Add exclude_build_data.patch to remove internal timestamps
    - Ensure reproducible builds
  * Remove bazel-bootstrap-data Recommends on bazel-bootstrap
    - Prevent unsatisfiable dependency for unsupported architectures
  * Disable testing of "bazel info" command for non-amd64 architectures
    - Will be reenabled once the underlying issue is fixed in newer Bazel
  * Update bazelrc options
  * Build-Depend on architecture-is-64-bit to simplify build architectures
    - Reenable building on mips64el (Closes: #1031864)

 -- Olek Wojnar <olek@debian.org>  Thu, 02 Mar 2023 00:18:00 -0500

bazel-bootstrap (4.2.3+ds-4) unstable; urgency=high

  * Remove mips64el from supported architectures

 -- Olek Wojnar <olek@debian.org>  Tue, 07 Feb 2023 05:27:57 -0500

bazel-bootstrap (4.2.3+ds-3) unstable; urgency=high

  * Temporarily disable flaky Java autopkgtests (Closes: #1029840)

 -- Olek Wojnar <olek@debian.org>  Mon, 06 Feb 2023 18:03:43 -0500

bazel-bootstrap (4.2.3+ds-2) unstable; urgency=high

  * Add grpc-absl_synchronization.patch
    - Fix FTBFS from added dependency in new version of grpc (Closes: #1027112)
  * Update Dockerfiles
    - Allow autopkgtest against unstable, experimental, and unbuilt source tree
  * Update standards to 4.6.2 (no changes)

 -- Olek Wojnar <olek@debian.org>  Fri, 27 Jan 2023 19:07:33 -0500

bazel-bootstrap (4.2.3+ds-1) unstable; urgency=high

  * New upstream release
  * Ease building packages that use Bazel source code
    - Use default-jdk
    - Add patch to use "@io_bazel" Bazel package names
  * Modify d/watch to ignore pre-release tags
  * Remove unnecessary dependency versioning
  * Fix FTBFS with OpenJDK 17 (Closes: #1023833)
    - Add patch for `--add-opens`
    - Update Bazel package build process in d/rules
  * Add patch to fix FTBFS with OpenJDK 13+
  * Refactor autopkgtests
  * Add patch to fix test failures with OpenJDK 16+
  * Sync add_include_for_limits.patch with upstream
  * Update build-bash_completion.patch to prevent duplicate file
  * Set LC_ALL=C for reproducible builds
  * Add Dockerfile for easy upstream troubleshooting of autopkgtests

 -- Olek Wojnar <olek@debian.org>  Mon, 14 Nov 2022 17:43:02 -0500
