## bazel-bootstrap 4.2.3+ds

=== debian/changelog ===
bazel-bootstrap (4.2.3+ds-9ubuntu2) noble; urgency=medium

  * No-change rebuild against libabsl20220623t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 06:18:35 +0000

bazel-bootstrap (4.2.3+ds-9ubuntu1) noble; urgency=medium

  * d/p/handle_synthetic_method_parameters_that_dont_have_names.patch:
    apply upstream patch to resolve Java 21 ftbfs (LP: #2053202).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Fri, 05 Jan 2024 15:57:39 +1300
