=== debian/control ===
Source: bazel-bootstrap
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Bazel Team <bazel-team@lists.launchpad.net>
Uploaders:
 Debian Bazel Team <team+bazel@tracker.debian.org>,
 Olek Wojnar <olek@debian.org>
Build-Depends:
 architecture-is-64-bit,
 debhelper-compat (= 13),
 dh-exec,
 dh-python,
 dh-sequence-bash-completion,
 fonts-font-awesome,
 fonts-glyphicons-halflings,
 jdupes,
 libasm-java,
 libchecker-framework-java,
 libcommons-collections3-java,
 libcommons-compress-java,
 libcommons-lang-java,
 libcommons-logging-java,
 libcommons-pool2-java,
 libdd-plist-java,
 libdiffutils-java,
 liberror-prone-java,
 libescapevelocity-java,
 libgeronimo-annotation-1.3-spec-java,
 libgoogle-api-client-java,
 libgoogle-auth-java,
 libgoogle-auto-common-java,
 libgoogle-auto-service-java,
 libgoogle-auto-value-java,
 libgoogle-flogger-java,
 libgoogle-gson-java,
 libgoogle-http-client-java,
 libgrpc-java,
 libgrpc++-dev,
 libguava-java (>= 25.1~),
 libjackson2-core-java,
 libjacoco-java,
 libjarjar-java,
 libjava-allocation-instrumenter-java,
 libjavapoet-java,
 libjaxb-api-java,
 libjcip-annotations-java,
 libjcommander-java,
 libjformatstring-java,
 libjs-bootstrap,
 libjsr305-java,
 libnanopb-dev,
 libnetty-java,
 libnetty-tcnative-java,
 libopencensus-java,
 libperfmark-java,
 libproguard-java,
 libprotobuf-dev,
 libprotobuf-java (>= 3.11.3~),
 libprotoc-dev,
 libreactive-streams-java,
 librx-java,
 libtruth-java,
 libxz-java,
 default-jdk-headless,
 protobuf-compiler,
 protobuf-compiler-grpc,
 protobuf-compiler-grpc-java-plugin (>= 1.26.0~),
 python3,
 unzip,
 velocity,
 zip,
 zlib1g-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://bazel.build/
Vcs-Browser: https://salsa.debian.org/bazel-team/bazel-bootstrap
Vcs-Git: https://salsa.debian.org/bazel-team/bazel-bootstrap.git

Package: bazel-bootstrap
Architecture: any
Depends:
 bazel-bootstrap-data (= ${source:Version}),
 build-essential,
 libchecker-framework-java,
 libdiffutils-java,
 liberror-prone-java,
 libgeronimo-annotation-1.3-spec-java,
 libgoogle-api-client-java,
 libgoogle-auth-java,
 libgoogle-auto-common-java,
 libgoogle-auto-service-java,
 libgoogle-auto-value-java,
 libgoogle-flogger-java,
 libgrpc-java,
 libopencensus-java,
 default-jdk-headless,
 protobuf-compiler-grpc-java-plugin (>= 1.26.0~),
 python3,
 unzip,
 zlib1g-dev,
 ${shlibs:Depends},
 ${misc:Depends},
 ${python3:Depends},
Description: Tool to automate software builds and tests
 Supported build tasks include running compilers and linkers to produce
 executable programs and libraries, and assembling deployable packages
 for Android, iOS and other target environments. Bazel is similar to
 other tools like Make, Ant, Gradle, Buck, Pants and Maven.
 .
 This package contains the bootstrap variant of Bazel and should only be
 used on systems that do not have the full version of Bazel built yet.

Package: bazel-bootstrap-data
Architecture: all
Multi-Arch: foreign
Depends:
 libjs-jquery,
 node-core-js,
 node-html5shiv,
 ${shlibs:Depends},
 ${misc:Depends},
 ${python3:Depends},
Suggests: bash-completion
Description: Tool to automate software builds and tests (data files)
 Supported build tasks include running compilers and linkers to produce
 executable programs and libraries, and assembling deployable packages
 for Android, iOS and other target environments. Bazel is similar to
 other tools like Make, Ant, Gradle, Buck, Pants and Maven.
 .
 This package contains architecture-independent data for the bootstrap variant
 of Bazel and should only be used on systems that do not have the full version
 of Bazel built yet.

Package: bazel-bootstrap-source
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Tool to automate software builds and tests (source code)
 Supported build tasks include running compilers and linkers to produce
 executable programs and libraries, and assembling deployable packages
 for Android, iOS and other target environments. Bazel is similar to
 other tools like Make, Ant, Gradle, Buck, Pants and Maven.
 .
 This package contains the source code for the bootstrap variant of Bazel and
 should only be used on systems that do not have the full version of Bazel
 built yet. This package is required for building certain packages that
 require Bazel source code in their build process.
