=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,9 @@
 # Bypass ccache
 export CCACHE_DISABLE = 1
 export CCACHE_TEMPDIR = ${CURDIR}/debian/ccachetmp
+
+# Set locale for reproducible builds
+export LC_ALL = C
 
 # Ensure packages build with no Internet access
 export http_proxy=127.0.0.1:9
@@ -32,8 +35,10 @@
 	--compilation_mode dbg \
 	--action_env=CCACHE_DISABLE \
 	--action_env=CCACHE_TEMPDIR \
+	--action_env=LC_ALL \
 	--host_action_env=CCACHE_DISABLE \
 	--host_action_env=CCACHE_TEMPDIR \
+	--host_action_env=LC_ALL \
 	--sandbox_debug \
 	--sandbox_writable_path=${CCACHE_TEMPDIR} \
 	--override_repository=com_google_protobuf=${CURDIR}/tools/distributions/debian/protobuf \
@@ -49,9 +54,10 @@
 
 export PROTOC = /usr/bin/protoc
 export GRPC_JAVA_PLUGIN = /usr/bin/grpc_java_plugin
+export JAVA_VERSION = 17
 
 # Prevent Out-of-Memory failures on some architectures
-export BAZEL_JAVAC_OPTS = -J-Xmx4096m
+export BAZEL_JAVAC_OPTS = -J-Xmx4096m --add-opens=java.base/java.nio=ALL-UNNAMED --add-opens=java.base/java.lang=ALL-UNNAMED
 
 %:
 	dh $@ --with python3
@@ -77,6 +83,9 @@
 	mv output/etc debian/tmp
 	mv output/usr/bin debian/tmp/usr
 	mv output/usr/share debian/tmp/usr
+# Fail build (and show culprits) if Bazel components are not properly installed
+	mv output debian/tmp/leftovers
+	ls -laR debian/tmp/leftovers
 	dh_install
 	rm -rf ${BAZDATADIR}/usr/share/bazel/embedded_tools/tools/zip/zipper
