=== debian/tests/control ===
Tests:
 bazel-generic
 cpp-success
 cpp-failure
Depends: bazel-bootstrap, junit4
Restrictions: allow-stderr
Architecture:
 amd64
 arm64
 mips64el
 ppc64el
 s390x
 alpha
 ia64
 kfreebsd-amd64
 ppc64
 riscv64
 sparc64

Test-command: echo "Bazel is only available on 64-bit architectures"
Depends: bazel-bootstrap-data
Architecture:
 armel
 armhf
 i386
 mipsel
